Displaying 5 results from an estimated 5 matches for "skip_unless_backend".
2017 May 17
0
[PATCH] s390x: tests: 9p: Use virtio-9p-ccw as the 9p device in this test.
---
tests/9p/test-9p.sh | 22 ++++++++++++----------
1 file changed, 12 insertions(+), 10 deletions(-)
diff --git a/tests/9p/test-9p.sh b/tests/9p/test-9p.sh
index 748603037..b4bdbe56e 100755
--- a/tests/9p/test-9p.sh
+++ b/tests/9p/test-9p.sh
@@ -25,16 +25,18 @@ $TEST_FUNCTIONS
skip_if_skipped
skip_unless_backend direct
-# The name of the virtio-9p device is different on virtio-pci and virtio-mmio.
-arch="$(uname -m)"
-if [[ "$arch" =~ ^arm ]]; then
- virtio_mmio=yes
-fi
-if [ "$virtio_mmio" != "yes" ]; then
- virtio_9p=virtio-9p-pci
-else
- virtio_9p=virti...
2017 Feb 20
3
[PATCH 0/3] tests: Define common test functions.
Previously I posted a work-in-progress preview of this patch series:
https://www.redhat.com/archives/libguestfs/2017-February/msg00224.html
This is the finished version that updates all of the shell-script
based tests. It passes 'make check', 'make check-direct' and
'make check-slow'.
Rich.
2017 Mar 13
7
[PATCH 0/4] v2v: -i -ova: Various fixes.
This has to be applied on top of this series:
https://www.redhat.com/archives/libguestfs/2017-March/msg00144.html
This is a fix for:
https://bugzilla.redhat.com/show_bug.cgi?id=1430680
Kun Wei noticed that virt-v2v -i ova has a problem if we are running
as root and the OVA is not located on a path which is fully readable
by non-root. The reason for this is that libvirt runs qemu as a
2017 Apr 20
1
[PATCH] tests: Replace test-max-disks with several tests.
...l Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+
+skip_unless_backend libvirt
+
+./test-add-disks -n 255
diff --git a/tests/disks/test-27-disks.sh b/tests/disks/test-27-disks.sh
new file mode 100755
index 000000000..c2cf7b223
--- /dev/null
+++ b/tests/disks/test-27-disks.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Copyright (C) 2012-2017 Red Hat Inc.
+#
+# This program is fr...
2017 Feb 19
3
[PATCH [WIP] 0/3] tests: Define common test functions.
There's a lot of common code in the tests, eg:
if [ "$(guestfish get-backend)" = "uml" ]; then
echo "$0: test skipped because UML backend does not support network"
exit 77
fi
These commits (work in progress) create a common set of test functions
for skipping tests etc.
Rich.